%define module_name Web-Request-Role-Response
# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(Module/Build.pm) perl(Moose/Role.pm) perl(Plack/Builder.pm) perl(Plack/Test.pm) perl(Test/More.pm) perl(Web/Request.pm) perl(Web/Response.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.003
Release: alt1
Summary: Generate various HTTP responses from a Web::Request
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Web::Request::Role::JSON' provides a few methods that make generating HTTP responses easier when using the Web::Request manpage.

Please note that all methods return a the Web::Response manpage object.
Depending on the framework you use (or lack thereof), you might have
to call `finalize' on the response object to turn it into a valid
PSGI response.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/W*

%changelog
* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 1.002-alt1
- initial import by package builder

